- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
ClarisWksTextInternal::ParagraphPLC Struct Reference

## Public Member Functions
| ParagraphPLC ()

## Public Attributes
int | m_rulerId
| the ruler id More...
int | m_styleId
| the style id ( via the style lookup table ) More...
int | m_flags
| some flags More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, ParagraphPLC const &info)

## Constructor & Destructor Documentation

ClarisWksTextInternal::ParagraphPLC::ParagraphPLC | ( |  | ) |
| inline

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | ParagraphPLC const & | info
| ) |  |
| friend

## Member Data Documentation

std::string ClarisWksTextInternal::ParagraphPLC::m_extra

extra data

int ClarisWksTextInternal::ParagraphPLC::m_flags

some flags

Referenced by ClarisWksText::readParagraphs().

int ClarisWksTextInternal::ParagraphPLC::m_rulerId

the ruler id

Referenced by ClarisWksText::findListId(), ClarisWksText::readParagraphs(), and ClarisWksText::sendText().

int ClarisWksTextInternal::ParagraphPLC::m_styleId

the style id ( via the style lookup table )

Referenced by ClarisWksText::readParagraphs(), and ClarisWksText::sendText().

The documentation for this struct was generated from the following file:

- ClarisWksText.cxx